iTunes 7.5 wont run

Discussion in 'iTunes' started by frogshark40, Jul 11, 2008.

  1. frogshark40

    frogshark40 New Member

    Joined:
    Feb 3, 2008
    Messages:
    39
    Likes Received:
    0
    Im trying to downgrade my iphone from 2.0 to 1.1.4 because I cant do anything with it without making a contract, which im not going to do.

    I read a thread on how to put it in DFU mode, but when I downloaded the 7.5 itunes exe and try to run it i get.

    "The file "iTunes Library.itl" cannot be read because it was created by a newer verion of iTunes."

    I had itunes version like 7.1 and upgraded to 7.2 and then to 7.7.

    Any help is appreciated
    ------------------double post merged------------------
    I went to my itunes folder and had iTunes librar(damaged).itl and itunes library.itl
    ------------------double post merged------------------
    I did a few things...

    in my music folder I had a (damaged) and non damaged .itl file. I deleted both of those, and went into the subfolder, previous librarys and just moved a previous one into the main itunes folder, it opened up but I got the error the iphone cant run, get the latest version...

    i went to file>import and imported the itunes music library.xml file from my desktop(that i moved from itunes folder and got the same message as above.
  2. francisco582

    francisco582 Member

    Joined:
    Sep 28, 2007
    Messages:
    100
    Likes Received:
    0
    I have this same problem but i deleted everything from itunes and i downloaded 7.5 and it didn't work so i tried to download 7.7 and it says itunes library cannot be read because it was created by a newer version of itunes.

    Please Register or Log in to view images

    i can't do anything with my ipod. please help.

    Please Register or Log in to view images

    Please Register or Log in to view images

Share This Page